Get Objectives
curl --request GET \
--url https://tavusapi.com/v2/objectives \
--header 'x-api-key: <api-key>'import requests
url = "https://tavusapi.com/v2/objectives"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://tavusapi.com/v2/objectives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"objectives_id": "o12345",
"objective_name": "ask_if_new_patient",
"objective_prompt": "Ask the patient if they are new or have been here before",
"confirmation_mode": "auto",
"output_variables": [
"patient_status"
],
"modality": "verbal",
"next_conditional_objectives": {
"new_patient_intake_process": "If the patient has never been to the practice before",
"existing_patient_intake_process": "If the patient has been to the practice before"
},
"next_required_objective": "get_patient_name",
"callback_url": "https://your-server.com/webhook",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"total_count": 25
}{
"message": "Invalid access token"
}Objectives
Get Objectives
This endpoint returns a list of all objectives.
GET
/
v2
/
objectives
Get Objectives
For AI agents, use
https://docs.tavus.io/openapi.yaml for the full HTTP API contract.Authorizations
Query Parameters
The number of objectives to return per page. Default is 10.
The page number to return. Default is 1.
⌘I

